LinuxQMISDK: qmifwinfo_s Struct Reference

LinuxQMISDK SLQS03.03.11

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
qmifwinfo_s Struct Reference

## Data Fields
union {
struct fwinfo_s g
struct slqsfwinfo_s s
} | dev

## Detailed Description

Top level structure for storing information about firmware images. union of structures depending on device type, MC77xx or MC83xx

Parameters

  g | - structure for MC83xx devices
  s | - structure for devices with SPKG CWE file support

- List of various Firmware Images Supported

    Technology  Initials  Carrier                      Region                Network Technology
    ----------  --------  ---------------------------  -------------------  --------------------
    D3600       S         eGOBI_IMG_CAR_SPRINT         eGOBI_IMG_REG_NA      eGOBI_IMG_TECH_CDMA
    D3600       V         eGOBI_IMG_CAR_VERIZON        eGOBI_IMG_REG_NA      eGOBI_IMG_TECH_CDMA
    D3600       C         eGOBI_IMG_CAR_CHINA_TELECOM  eGOBI_IMG_REG_ASIA    eGOBI_IMG_TECH_CDMA
    D3600       G         eGOBI_IMG_CAR_GENERIC_CDMA   eGOBI_IMG_REG_GLOBAL  eGOBI_IMG_TECH_CDMA (item for Generic CDMA UQCN)
    D3600       H         eGOBI_IMG_CAR_GENERIC_CDMA   eGOBI_IMG_REG_GLOBAL  eGOBI_IMG_TECH_CDMA (item for Generic CDMA AMSS)
    D3200       V         eGOBI_IMG_CAR_VODAFONE       eGOBI_IMG_REG_NA      eGOBI_IMG_TECH_UMTS
    D3200       A         eGOBI_IMG_CAR_ATT            eGOBI_IMG_REG_NA      eGOBI_IMG_TECH_UMTS
    D3200       L         eGOBI_IMG_CAR_TMOBILE        eGOBI_IMG_REG_EU      eGOBI_IMG_TECH_UMTS
    D3200       G         eGOBI_IMG_CAR_GENERIC        eGOBI_IMG_REG_GLOBAL  eGOBI_IMG_TECH_UMTS
    D3200       H         eGOBI_IMG_CAR_TELEFONICA     eGOBI_IMG_REG_EU      eGOBI_IMG_TECH_UMTS
    D3200       I         eGOBI_IMG_CAR_TELCOM_ITALIA  eGOBI_IMG_REG_NA      eGOBI_IMG_TECH_UMTS
    D3200       O         eGOBI_IMG_CAR_ORANGE         eGOBI_IMG_REG_NA      eGOBI_IMG_TECH_UMTS
    D3200       U         eGOBI_IMG_CAR_GENERIC        eGOBI_IMG_REG_GLOBAL  eGOBI_IMG_TECH_UMTS
    D3200       R         eGOBI_IMG_CAR_ROGERS         eGOBI_IMG_REG_NA      eGOBI_IMG_TECH_UMTS
    D3600       A         eGOBI_IMG_CAR_AERIS          eGOBI_IMG_REG_NA      eGOBI_IMG_TECH_CDMA

See Also
  fwinfo_s
  slqsfwinfo_s

## Field Documentation

union { ... } qmifwinfo_s::dev

struct fwinfo_s qmifwinfo_s::g

struct slqsfwinfo_s qmifwinfo_s::s